## org.apache.mahout.cf.taste.impl.common
Interface RunningAverageAndStdDev

All Superinterfaces:
  RunningAverage

All Known Implementing Classes:
  CompactRunningAverageAndStdDev, FixedRunningAverageAndStdDev, FullRunningAverageAndStdDev, InvertedRunningAverageAndStdDev

    public interface RunningAverageAndStdDev

extends RunningAverage

Extends `RunningAverage` by adding standard deviation too.

Method Summary
`double` `getStandardDeviation()`

Methods inherited from interface org.apache.mahout.cf.taste.impl.common.RunningAverage
`addDatum, changeDatum, getAverage, getCount, removeDatum`

Method Detail

### getStandardDeviation

    double getStandardDeviation()

  Returns:
    standard deviation of data

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.